csSetToAddress Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

csSetToAddress Struct Reference
Utilities

Sized data type access helpers. More...

`#include <csutil/csendian.h>`

List of all members.

## Static Public Member Functions
static void | UInt16 (void *buff, uint16 s)
| Set specifically sized type at unaligned memory address.
static void | Int16 (void *buff, int16 s)
| Set specifically sized type at unaligned memory address.
static void | UInt32 (void *buff, uint32 s)
| Set specifically sized type at unaligned memory address.
static void | Int32 (void *buff, int32 s)
| Set specifically sized type at unaligned memory address.
static void | UInt64 (void *buff, uint64 s)
| Set specifically sized type at unaligned memory address.
static void | Int64 (void *buff, int64 s)
| Set specifically sized type at unaligned memory address.

## Detailed Description

Sized data type access helpers.

On some platforms, certain data types can only be manipulated when correctly aligned (e.g. uint32 can only be Written to addresses aligned to 4 bytes). This routines assist manipulating sized types at arbitrary memory positions (e.g. when constructing files in memory) by working around the alignment requirements on platforms that have such.

Definition at line 383 of file csendian.h.

## Member Function Documentation

static void csSetToAddress::Int16 | ( | void * | buff,
|  | int16 | s
| ) |  | `[inline, static]`

Set specifically sized type at unaligned memory address.

Definition at line 395 of file csendian.h.

static void csSetToAddress::Int32 | ( | void * | buff,
|  | int32 | s
| ) |  | `[inline, static]`

Set specifically sized type at unaligned memory address.

Definition at line 405 of file csendian.h.

static void csSetToAddress::Int64 | ( | void * | buff,
|  | int64 | s
| ) |  | `[inline, static]`

Set specifically sized type at unaligned memory address.

Definition at line 415 of file csendian.h.

static void csSetToAddress::UInt16 | ( | void * | buff,
|  | uint16 | s
| ) |  | `[inline, static]`

Set specifically sized type at unaligned memory address.

Definition at line 387 of file csendian.h.

static void csSetToAddress::UInt32 | ( | void * | buff,
|  | uint32 | s
| ) |  | `[inline, static]`

Set specifically sized type at unaligned memory address.

Definition at line 397 of file csendian.h.

static void csSetToAddress::UInt64 | ( | void * | buff,
|  | uint64 | s
| ) |  | `[inline, static]`

Set specifically sized type at unaligned memory address.

Definition at line 407 of file csendian.h.

The documentation for this struct was generated from the following file:

- csutil/csendian.h